Show: Inherited Protected Private Deprecated

# AlloyEditor Class

Defined in: `src/ui/react/src/adapter/main.js:4`

AlloyEditor static object.

## Index

### Methods

- editable static
- getBasePath static
- getUrl static
- implementEventTarget static
- loadLanguageResources static

### Properties

- Buttons static
- regexBasePath static
- Toolbars static

### Events

- languageResourcesLoaded

## Methods

### `editable`

(

- `node`
- `config`

)
Object static

Defined in `src/ui/react/src/adapter/main.js:11`

Creates an instance of AlloyEditor.

#### Parameters:

- `node` String | Node

  The Node ID or HTMl node, which AlloyEditor should use as an editable area.

- `config` Object

  Configuration attributes for the current instance of AlloyEditor.

#### Returns:

Object:

An instance of Core

### `getBasePath`

() String static

Defined in `src/ui/react/src/adapter/main.js:29`

The full URL for the AlloyEditor installation directory. It is possible to manually provide the base path by setting a global variable named `ALLOYEDITOR_BASEPATH`. This global variable must be set before the editor script loading.

#### Returns:

String:

The found base path

### `getUrl`

(

- `resource`

)
String static

Defined in `src/ui/react/src/adapter/main.js:121`

Gets the full URL for AlloyEditor resources. By default, URLs returned by this function contain a querystring parameter ("t") set to the {@link CKEDITOR#timestamp} value.

#### Parameters:

- `resource` String

  The resource whose full URL we want to get. It may be a full, absolute, or relative URL.

#### Returns:

String:

The full URL.

### `implementEventTarget`

() static

Defined in `src/ui/react/src/adapter/main.js:148`

Implements event firing and subscribing via CKEDITOR.event.

### `loadLanguageResources`

(

- `callback`

)
static

Defined in `src/ui/react/src/adapter/main.js:77`

Detects and load the corresponding language file if AlloyEditor language strings are not already present. The function fires a languageResourcesLoaded event

#### Parameters:

- `callback` Function

  Optional callback to be called when AlloyEditor loads the language resource.

## Properties

### `Buttons`

Object static

Defined in `src/ui/react/src/adapter/main.js:169`

And object, containing all currently registered buttons in AlloyEditor.

### `regexBasePath`

RegExp static

Defined in `src/ui/react/src/adapter/main.js:160`

Regular expression which should match the script which have been used to load AlloyEditor.

### `Toolbars`

Object static

Defined in `src/ui/react/src/adapter/main.js:178`

And object, containing all currently registered toolbars in AlloyEditor.

## Events

### `languageResourcesLoaded`

Defined in `src/ui/react/src/adapter/main.js:187`

Fired when AlloyEditor detects the browser language and loads the corresponding language file. Once this event is fired, AlloyEditor.Strings will be populated with data.